org.eclipse.microprofile.metrics.tck.metrics

## Class MultipleMetricsMethodBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.MultipleMetricsMethodBeanTest

    public class MultipleMetricsMethodBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MultipleMetricsMethodBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callMetricsMethodOnce()`
`void` `instantiateApplicationScopedBean()`
`void` `metricsMethodNotCalledYet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultipleMetricsMethodBeanTest

    public MultipleMetricsMethodBeanTest()

### Method Detail

#### instantiateApplicationScopedBean

    public void instantiateApplicationScopedBean()

#### metricsMethodNotCalledYet

    @InSequence(value=1)
    public void metricsMethodNotCalledYet()

#### callMetricsMethodOnce

    @InSequence(value=2)
    public void callMetricsMethodOnce()